<?php
/**
 * Recommended plugins
 *
 * @package magpoint
 */

if ( ! function_exists( 'magpoint_recommended_plugins' ) ) :

    /**
     * Recommend plugins.
     *
     * @since 1.0.0
     */
    function magpoint_recommended_plugins() {

        $plugins = array(              
          
            array(
                'name'     => esc_html__( 'Responsive Accordion Slider', 'magpoint' ),
                'slug'     => 'responsive-accordion-slider',
                'required' => false,
            ),
            array(
                'name'     => esc_html__( 'Contact Form 7', 'magpoint' ),
                'slug'     => 'contact-form-7',
                'required' => false,
            )
        );

        tgmpa( $plugins );

    }

endif;

add_action( 'tgmpa_register', 'magpoint_recommended_plugins' );